Summary:	The basic directory layout for a Linux system.
Name:		filesystem
Version:	1.3.7
Release:	1.3.0
Copyright:	GPL
Group:		System Environment/Base
Source0:	%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{release}-root
Provides:	filesystem
Prereq:		setup
BuildArchitectures: noarch

%description
The filesystem package is one of the basic packages that is installed on
a Guardian Digital Linux Lockbox.  Filesystem  contains the basic 
directory layout for a Linux operating system, including the correct 
permissions for the directories.

%files
  %defattr(711,root,root)
  /bin
  %attr(0700,root,root)	/boot
  /etc
  %attr(0755,root,root)	/home
  /lib
  %dir /mnt
  %attr(775,root,root) /mnt/floppy
  %attr(775,root,root) /mnt/cdrom
  %attr(511,root,root) /proc
  %attr(750,root,root) /root
  /sbin
  %attr(1777,root,root) /tmp
  /usr
  %dir /var
  /var/db
  /var/lib
  %dir %attr(770,root,admin) /var/account
  %dir %attr(751,root,admin) /var/lock
  %dir %attr(700,root,root) /var/crash
  %attr(770,root,root) /var/lock/subsys
  /var/cache
  %attr(755,root,admin)	/var/log
  %attr(0750,root,admin)	/var/BACKUP
  /var/run
  %dir /var/spool
  %attr(775,root,mail) /var/spool/mail
  %attr(775,root,mail) /var/mail
  %attr(775,root,mail) /var/spool/mqueue
  /var/state
  %attr(1777,root,root) /var/tmp

%prep
%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir $RPM_BUILD_ROOT
  cd $RPM_BUILD_ROOT
  tar xzf %{SOURCE0}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 18 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3.7, Release 1.5.1
  - Added /initrd.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Oct 09 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3.6, Release 1.1.1
  - Changed /var/lock from (0770,root,root) to (0751,root,admin)


* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3.6, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).


* Tue Dec 12 2000 Pete O'Hara <pete@guardiandigital.com>
- added "Prereq: setup"

* Sun Dec 03 2000 Dave Wreski <dave@guardiandigital.com>
- added var/BACKUP
- changed home to 755
- changed boot to 700

* Wed Nov 29 2000 Dave Wreski <dave@guardiandigital.com>
- changed /var/lock to root.root from root.uucp

* Mon Nov 27 2000 Dave Wreski <dave@guardiandigital.com>
- attempt to fix dependancy with setup RPM

* Tue Nov 14 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod /var/log from 750 to 755

* Wed Nov 08 2000 Pete O'Hara <pete@guardiandigital.com>
- chgrp admin /var/log

* Sat Oct 28 2000 Pete O'Hara <pete@guardiandigital.com>
- removed X11 directories for use in EnGarde
- removed opt

* Wed Oct 11 2000 Pete O'Hara <pete@guardiandigital.com>
- removed Prereq: setup to install manually with 
	EnGarde RPMs at one shot

* Mon Aug 28 2000 Pete O'Hara <pete@guardiandigital.com>
- made FHS compliant 

* Sun Jun 4  2000 Dave Wreski <dave@guardiandigital.com>
- Removed X11 support
- Removed games support
- Default permissions now 711
